package com.mq.mylibrary.rfid.io.service;

public class SendPacket {
	private byte[] Head;
	private byte Address;
	private byte[] Data;
	private byte LSB;
	private byte MSB;
	private byte Tail;

	public enum PacketType {
		NULL, READVERSION, READUID, READBLOCK, WRITEBLOCK, READMULTIBLOCK, WRITEMULTIBLOCK
	}

	public SendPacket GetPacket(PacketType type) {
		switch (type) {
		case READVERSION:
			return null;
		case READUID:
			return null;
		case READBLOCK:
			return null;
		case WRITEBLOCK:
			return null;
		case READMULTIBLOCK:
			return null;
		case WRITEMULTIBLOCK:
			return null;
		default:
			return null;
		}

	}
}
